using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
[System.Serializable]
public class gameAreaItem
{
    public short px;
    public short py;
    public short pr;
    public float R;
    public float G;
    public float B;
    public short id;
    public short gid = -1;//组id
    public short valid;//未知含义 未启用
    public short useAreaData;//未知含义 未启用
    public bool notPaintCol;//未启用
    public string tempExKey = "";
    public bool isShow = false;
    public int threadHandState = 0;
    public override string ToString()
    {
        return string.Format("x {0},y {1},r {2},id= {3},gid = {4} key = {5}", px, py, pr, id,gid,tempExKey);
    }
    public bool IsValid()
    {
        return valid == 1;
    }
    public gameAreaItem()
    {
        threadHandState = 0;
    }
}
